

require "gfx"

--w=gfx.ImageSurface(1000,1000);
--w=gfx.Window(500,500); 
w=gfx.ImageSurface();

col={'k-o','b-x','g-d','y-o','c-s','m:s','r:x','c:*','b:o'}
cnt=1;

figs={'senna','senna_pos','senna_chunk','senna_pos_chunk','senna_pos_chunk_ner'
,'senna_wilma'
,'senna_pos_chunk_ner_wilma'
,'senna_gloria','senna_pos_chunk_ner_gloria'}

names={'SRL','SRL+POS','SRL+CHUNK','SRL+POS+CHUNK','SRL+POS+CHUNK+NER',
'SRL+SYNONYMS', 'SRL+POS+CHUNK+NER+SYNONYMS',
'SRL+LANG.MODEL','SRL+POS+CHUNK+NER+LANG.MODEL'}

for i,k in pairs(figs) do
   print(k)
   f=io.open(k .. "/" .. "senna_the_test_class_err");
   t={};  t2={}; cc=1;
   cntt=1;
   while true and cntt<=20 do
      v=f:read("*number")
      if v==nil then break; end
      t[#t+1]=v*100; t2[#t2+1]=cc; cc=cc+1;
      cntt=cntt+1
   end
   p=w:plot(t2,t,col[cnt]); 
   if cnt==2 then
	p:setPenColor({0.5,0.5,0.5})
   end
   cnt=cnt+1;
   f:close()
end

w:set('fontSize',12)
w:axis(nil,nil,14,22)
w:legend(1,unpack(names))
w:title('Wsz=50')
w:xlabel('Epoch')
w:ylabel('Test Error')
w:writePNG('result.png');
w:writePDF('wsz50.pdf');